# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name logict

%global common_summary Haskell %{pkg_name} library

%global common_description A %{pkg_name} library for Haskell.

Name:           ghc-%{pkg_name}
Version:        0.5.0.2
Release:        1%{?dist}
Summary:        A continuation-based, backtracking, logic programming monad

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec

BuildRequires:  ghc-mtl-devel

%description
A continuation-based, backtracking, logic programming monad. 
An adaptation of the two-continuation implementation found in 
the paper Backtracking, Interleaving, and Terminating Monad 
Transformers available here: http://okmij.org/ftp/papers/LogicT.pdf

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

# devel subpackage
%ghc_devel_package

%ghc_devel_description

%ghc_devel_post_postun

%ghc_files LICENSE

%changelog
* Mon Sep 10 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.5.0.2-1
- Updated to 0.5.0.2

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 07 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.5.0.1-2
- Updated summary and description.

* Tue Jun 05 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.5.0.1-1
- Spec file template generated by cabal2spec-0.25.5
